### Rotate

Category

Rendering

Function

Rotates an object.

Syntax

    output = Rotate(input, axis, rotation, ...);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | object | none | object to be rotated
`axis` | integer or string | "y" | axis of rotation
`rotation` | scalar | 0 | amount of rotation (in degrees)
`...` |  |  | additional axis-rotation pair(s)

Outputs

Name | Type | Description
--- | --- | ---
`output` | object | object marked for rotation

Functional Details

This module prepares a specified object for one or more rotations about a specified axis.

Note: A Transform object containing the specified transformation matrix is inserted at the root of the object. This transform is applied during rendering.

Each rotation is specified by an axis-rotation parameter pair.

`input` | specifies the object to be rotated.
`axis` | specifies the axis of rotation. Allowed values are strings ("x," "y," or "z") or integers (0, 1, or 2).
`rotation` | specifies the extent of rotation (in degrees) about the specified axis. Note: Rotation is counterclockwise in a right-handed coordinate system and relative to the origin of world-coordinate space.

A single Rotate module can specify a maximum of 22 rotations (i.e., `axis - rotation` pairs). In the user interface, the default number of corresponding tab pairs is two. (Tabs can be added to the module icon and removed with the appropriate `...Input Tab` options in the `Edit` pull-down menu of the VPE.)

Note: If you want to use the mouse to rotate the object in the Image window, see "Rotating the Object" in IBM Visualization Data Explorer User's Guide.

Components

All input components are propagated to the output.

Example Visual Programs

    Imide_potential.net
    UsingLights.net

See Also

Scale, Translate

[ OpenDX Home at IBM | OpenDX.org ]